Support » Plugin: Insert Headers and Footers » Error plugins/insert-headers-and-footers/ihaf.php on line 102

Viewing 15 replies - 1 through 15 (of 18 total)
  • Yes, I’m getting fatal errors which cause 500 error. Looks like the update is causing this. I disabled the plugin by renaming the directory, which has removed the problem for the moment

    This is not a good idea to edit the plugin files but if you can not deactivate this plugin below is the fix.
    Plugin code- line number 102- 108 ihaf.php

    if ( empty( get_option( $this->plugin->db_welcome_dismissed_key ) ) ) {
            	if ( ! ( $pagenow == 'options-general.php' && isset( $_GET['page'] ) && $_GET['page'] == 'insert-headers-and-footers' ) ) {
    	            $setting_page = admin_url( 'options-general.php?page=' . $this->plugin->name );
    	            // load the notices view
    	            include_once( WP_PLUGIN_DIR . '/' . $this->plugin->name . '/views/dashboard-notices.php' );
            	}
            }

    change to –

    $welcome_key = get_option( $this->plugin->db_welcome_dismissed_key );
            if ( empty(  $welcome_key ) ) {
            	if ( ! ( $pagenow == 'options-general.php' && isset( $_GET['page'] ) && $_GET['page'] == 'insert-headers-and-footers' ) ) {
    	            $setting_page = admin_url( 'options-general.php?page=' . $this->plugin->name );
    	            // load the notices view
    	            include_once( WP_PLUGIN_DIR . '/' . $this->plugin->name . '/views/dashboard-notices.php' );
            	}
            }

    Yep, updated to v1.4 on several sites this morning and ALL went down with this error.

    Same for me here…

    Too bad I’m usually not the very first one to update but this time I got caught…

    Hopefully the author is EU based and will fix this ASAP.

    Same error here.

    If you need to disable the plugin, use an FTP client to go to /wp-content/plugins/ and change the “insert-headers-and-footers” directory name to “insert-headers-and-footers-disabled”. That should solve the problem (well, it will at least let you back on to the site) while the developer works on an update.

    For those with FTP access:

    The most simple solution is to rewrite the plugin with its previous version.

    STEP 1:
    Download v1.3.3 from here:
    https://wordpress.org/plugins/insert-headers-and-footers/developers/
    Unzip then upload it into the plugin folder.

    STEP 2:
    To prevent any similar issue in the future – install an update manager and disable automatic updates for this plugin.

    I’m going to ask a silly question. How do I access this code to disable it? My site is on hostgator. Since I cannot access the dashboard with the site down I don’t know how to disable the plugins…
    help appreciated.
    niritcohen.com

    • This reply was modified 2 years, 4 months ago by  NiritAdmin79.

    as others have reported.. it’s broken..
    Fatal error: Can’t use function return value in write context in [i won’t give my full path away]/wp-content/plugins/insert-headers-and-footers/ihaf.php on line 102

    could be related to the PHP version running on the site (@hostgator)

    @niritadmin79

    You can do this via your Hostgator FTP client control panel, then File Manager and navigate to /wp-content/plugins/

    thank you, yes changed the folder name and my site is up and running again 🙂
    many thanks!

    Plugin Author Debjit

    (@deb255)

    First of all, my sincerest apologies for the issue.

    This bug was caused by an older PHP version and how it treats a certain function. We have fixed the issue in 1.4.1.

    Please update the plugin to v1.4.1

    Thanks

    • This reply was modified 2 years, 4 months ago by  Debjit.

    Thanks @debjit

    However, I have just done this via my Hostgator FTP and I can successfully see my website now. But if I go to the wp-admin page it now says a different error message as follows:

    Warning: Cannot modify header information – headers already sent by (output started at ****/****/public_html/wp-content/plugins/insert-headers-and-footers/ihaf.php:228) in ****/****/public_html/wp-includes/pluggable.php on line 1179

    Any ideas?

    Plugin Author Debjit

    (@deb255)

    @culinarychatter, can you please let me know What version of PHP are you running on?

    Hi @deb255

    It says.. [-] The PHP System Default Version is 5.4

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘Error plugins/insert-headers-and-footers/ihaf.php on line 102’ is closed to new replies.